Bug 164587 - konsole partial line selection corrupts text repaint location
konsole partial line selection corrupts text repaint location
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-07-28 19:27 EDT by D. Stimits
Modified: 2008-02-27 00:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-27 00:00:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
file to cat for reproducible mouse corruption (1.60 KB, text/plain)
2005-07-28 19:30 EDT, D. Stimits
no flags Details
Non-corrupted text screenshot. (67.59 KB, image/png)
2005-07-28 19:31 EDT, D. Stimits
no flags Details
sample corrupted text screenshot (80.09 KB, image/png)
2005-07-28 19:32 EDT, D. Stimits
no flags Details

  None (edit)
Description D. Stimits 2005-07-28 19:27:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050319

Description of problem:
Beware, this may change depending on font selected or font size. My current setting is paper theme, monospaced regular font, size 10.

While trying to copy and paste text using the mouse drag across konsole, some fonts will appear to corrupt. While dragging the mouse across text, the character to the right can sometimes corrupt. It appears that the inverted text (indicating mouse selection) uses a width that is larger than the non-inverted text, corrupting the character just beyond the selection. Some text does this, other text does not. I have a text sample which always does this, but not all text does. I add a theory that this width displacement is peculiar to some characters of the font, but not all.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open console, cause some text to appear, e.g., cat my sample file.
2. Highlight part of a line with the mouse, e.g., the word QDesignerFormEditorInterface in my sample.
3. View the character to the right of the mouse as you scroll...repaint locations of the highlighted text offset into the non-highlighted text, causing corruption 1 character ahead.

Actual Results:  Mouse highlighted text can overlap and corrupt text to the right.

Expected Results:  Mouse highlighted text should be contained within the same width as the original text, or else displace the text to the right so as to not corrupt. The latter is probably the wrong solution, as this is set to monospaced font in my example.

Additional info:

The mouse's idea of what font is under it, versus konsole's, can sometimes lead to the copy buffer itself being incorrect. I'll try to figure out a way to attach two screenshots and sample text to this report.
Comment 1 D. Stimits 2005-07-28 19:30:25 EDT
Created attachment 117253 [details]
file to cat for reproducible mouse corruption

This is a sample of text I'm able to reproduce corruption on by highlighting
the word QDesignerFormEditorInterface.
Comment 2 D. Stimits 2005-07-28 19:31:30 EDT
Created attachment 117254 [details]
Non-corrupted text screenshot.

This is a screenshot of the text without mouse corruption.
Comment 3 D. Stimits 2005-07-28 19:32:33 EDT
Created attachment 117255 [details]
sample corrupted text screenshot

This is a screenshot of the word QDesignerFromEditorInterface corrupting as the
mouse highlights it.
Comment 4 D. Stimits 2005-07-29 17:32:22 EDT
I was looking closer at the corruption patterns, and realized that lines
containing left and right single quotes are probably always involved. These are
not the characters available on a keyboard, they are instead the ones
represented by html entity &#145 and ’ the ' and ` of the keyboard are not
the same. Other characters might be involved as well, I have no way to check all
of them. These characters also show up as ? when pasted back after a mouse copy,
which is incorrect.
Comment 5 Christian Iseli 2007-01-22 05:44:23 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 6 petrosyan 2008-02-27 00:00:47 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.